6.0.0-git
2021-01-24

[#3079] Empty window after clicking on a mailto url in an HTML message
Summary Empty window after clicking on a mailto url in an HTML message
Queue IMP
Queue Version HEAD
Type Bug
State Resolved
Priority 2. Medium
Owners Horde Developers (at)
Requester galosa (at) netinform (dot) hu
Created 2005-12-02 (5532 days ago)
Due
Updated 2006-11-20 (5179 days ago)
Assigned 2005-12-02 (5532 days ago)
Resolved 2006-11-20 (5179 days ago)
Milestone
Patch No

History
2006-11-20 22:48:04 Chuck Hagenbuch Comment #3
State ⇒ Resolved
Reply to this comment
Fixed for HEAD and IMP 4.1.4, but will require changes in Horde 3.1.4 
to work properly in all situations (mainly non-cookie sessions).
2006-11-20 21:44:28 Chuck Hagenbuch Comment #2
Version ⇒ HEAD
Reply to this comment
This happens when a mailto: link is in an HTML mail, and sessions are 
GET-based. I think we need to catch this before go.php, since sending 
the raw path through in go.php for anything that looks like a mailto:
probably opens other holes.



My best idea so far is to trap for mailto: in the HTML MIME Viewer, or 
Horde::externalUrl(), and to call mail/composeLink with the mailto 
arg. Objections, better ideas, thoughts?
2006-01-08 17:55:28 Chuck Hagenbuch Summary ⇒ Empty window after clicking on a mailto url in an HTML message
 
2005-12-02 13:25:45 Jan Schneider Assigned to Horde DevelopersHorde Developers
 
2005-12-02 13:24:56 Jan Schneider State ⇒ Assigned
Priority ⇒ 2. Medium
 
2005-12-02 11:37:22 galosa (at) netinform (dot) hu Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Empty compose window after clicking on a mailto url
Queue ⇒ IMP
Reply to this comment
If I click on a mailto url in an incoming html message a new but empty 
window opens.



Using Firefox 1.0.7 or IE 6 the url bar says:

https://example.tld/horde/services/go.php?url=mailto%3Asomebody%40somewhere.hu



And the page is blank.



Of course I would expect a new message composing window with filled in 
To field.



The source of the html message around the mailto link:

<a target="_blank"

   title=mailto:somebody@somewhere.hu 
href="https://example.tld/horde/services/go.php?url=mailto%3Asomebody%40somewhere.hu"><FONT

   title=mailto:somebody@somewhere.hu size=2><SPAN

   title=mailto:somebody@somewhere.hu HordeCleaned="COLOR: navy"><SPAN

   
title=mailto:somebody@somewhere.hu>somebody@somewhere.hu</SPAN></SPAN></FONT></A>



I have two sites running IMP, both with IMP 4.0.4, one on Horde 3.0.5, 
and one on Horde 3.0.7. Both do the same.



Anyway I set $mime_drivers['imp']['html']['inline'] to true in one of 
the sites, which does not change the above behaviour. Html messages do 
the same either in a new window or shown inline.


Saved Queries